package com.dgtly.system.service.impl;

import java.util.List;
import com.dgtly.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dgtly.system.mapper.CommunityMapper;
import com.dgtly.system.domain.Community;
import com.dgtly.system.service.ICommunityService;
import com.dgtly.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author dgtly
 * @date 2020-02-14
 */
@Service
public class CommunityServiceImpl implements ICommunityService 
{
    @Autowired
    private CommunityMapper communityMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public Community selectCommunityById(Long id)
    {
        return communityMapper.selectCommunityById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param community 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<Community> selectCommunityList(Community community)
    {
        return communityMapper.selectCommunityList(community);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param community 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertCommunity(Community community)
    {
        community.setCreateTime(DateUtils.getNowDate());
        return communityMapper.insertCommunity(community);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param community 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateCommunity(Community community)
    {
        community.setUpdateTime(DateUtils.getNowDate());
        return communityMapper.updateCommunity(community);
    }

    /**
     * 删除【请填写功能名称】对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteCommunityByIds(String ids)
    {
        return communityMapper.deleteCommunityByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteCommunityById(Long id)
    {
        return communityMapper.deleteCommunityById(id);
    }
}
